Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.detectlastrow
Class DetectLastRowData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.detectlastrow.DetectLastRowData

All Implemented Interfaces:
  StepDataInterface

    public class DetectLastRowData

extends BaseStepData
implements StepDataInterface

Since:
  03June2008
Author:
  Samatar

Field Summary
`int` | `NrPrevFields`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`org.pentaho.di.core.row.RowMetaInterface` | `previousRowMeta`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`DetectLastRowData()`

Method Summary
`Object[]` | `getFalseArray()` Return a array with a constant False.
`Object[]` | `getTrueArray()` Return a array with a constant True.

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### NrPrevFields

    public int NrPrevFields

### previousRowMeta

    public org.pentaho.di.core.row.RowMetaInterface previousRowMeta

Constructor Detail

### DetectLastRowData

    public DetectLastRowData()

Method Detail

### getTrueArray

    public Object[] getTrueArray()

  Return a array with a constant True.

### getFalseArray

    public Object[] getFalseArray()

  Return a array with a constant False.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD